#include "picom.ih"

void PiCom::write(int line, bool value)
{
    digitalWrite(d_lines[line], value);
}

void PiCom::write(int line, int channel, bool value)
{
    digitalWrite(d_lines[line][channel], value);
}

bool PiCom::read(int line)
{
    return digitalRead(d_lines[line]);
}

bool PiCom::read(int line, int channel)
{
    return digitalRead(d_lines[line][channel]);
}

void PiCom::mode(int line, int channel, int mode)
{
    pinMode(d_lines[line][channel], mode);
}

void PiCom::mode(int line, int mode)
{
    pinMode(d_lines[line], mode);
}

void PiCom::pull(int line, int channel, int mode)
{
    pullUpDnControl(d_lines[line][channel], mode);
}

void PiCom::pull(int line, int mode)
{
    pullUpDnControl(d_lines[line], mode);
}
