#include "picom.ih"

void PiCom::sync(int num, int timeout)
{
    static int const in[2] = {SLI1, SLI2};
    static int const out[2] = {SLO1, SLO2};
    

    for (int i = 0; i != num; ++i)
    {
        d_syncLineSelect ^= 1;
        int s = (d_syncVal[d_syncLineSelect] ^= 1);
//        cout << d_syncLineSelect << ' ' << d_syncVal[d_syncLineSelect] << '\n';

        write(out[d_syncLineSelect], s);
        if (!wait(in[d_syncLineSelect], s, timeout))
            throw Exception<TimeOut>("connection timed out");    
    }
}
