#include "piftp.ih"

vector<bool> PiFtp::file2bits(string const &fname)
{
    ifstream file(fname, ios_base::in | ios_base::binary);
    if (!file)
        throw Exception<NoSuchFile>("File not found");
        
    // Get file-length
    file.seekg(0, file.end);
    int length = file.tellg();
    file.seekg(0, file.beg);

    // Allocate buffer to store file
    string buf(length, 0);
    file.read(&buf[0], length);
    
    return string2bits(buf);
}
