#include "piftp.ih"

void PiFtp::listen()
{
    vector<bool> fname = d_picom.listen();
    vector<bool> content = d_picom.listen();

    try
    {
        bits2file(bits2string(fname), content);
    }
    catch (Exception<NoSuchFile> const &ex)
    {
        cerr << ex.what() << '\n';
    }

    d_picom.reset();
}
