#include "piftp.ih"

vector<bool> PiFtp::string2bits(string const &str)
{
    static int const N_BITS_PER_BYTE = 8;

    int len = str.length();
    vector<bool> bitstream(N_BITS_PER_BYTE * len); // 8 bits per byte
    for (int i = 0; i != len; ++i)
        for (int bit = 0; bit != N_BITS_PER_BYTE; ++bit)
            bitstream[8 * i + bit] = str[i] & (1 << bit);

    return bitstream;
}
