#include <iostream>
#include "piftp.h"
using namespace std;

int main(int argc, char **argv)
try
{
    if (argc != 4)
    {
        cerr << "Syntax: " << argv[0] << " <pin-file> <source> <dest>\n";
        return 1;
    }

    PiFtp ftp(argv[1]);
    ftp.send(argv[2], argv[3]);
}
catch (exception const &e)
{
    cerr << e.what() << '\n';
}
catch (std::string const &msg)
{
    cerr << msg << '\n';
}

