#include <iostream>
#include "piftp.h"
using namespace std;

int main(int argc, char **argv)
try
{
    if (argc != 2)
    {
        cerr << "Syntax: " << argv[0] << " pin-file\n";
        return 1;
    }

    PiFtp ftp(argv[1]);
    while (true)
        ftp.listen();
}
catch (exception const &e)
{
    cerr << e.what() << '\n';
}
catch (std::string const &msg)
{
    cerr << msg << '\n';
}

