#include "picom.ih"

void PiCom::reset()
{
    int inputLines[] =  {SRI, SLI1, SLI2, ML};
    int outputLines[] = {SRO, SLO1, SLO2};

    for (int line: inputLines)
    {
        for (size_t channel = 0; channel != d_lines[line].size(); ++channel)
        {
            mode(line, channel, INPUT);
            pull(line, channel, PUD_DOWN);
        }
    }

    for (int line: outputLines)
    {
        for (size_t channel = 0; channel != d_lines[line].size(); ++channel)
        {
            mode(line, channel, OUTPUT);
            write(line, channel, 0);
        }
    }

    d_syncLineSelect = 0;
    d_syncVal[0] = d_syncVal[1] = false;
}
