#include "piftp.ih"

void PiFtp::bits2file(string const &fname, vector<bool> const &bitstream)
{
    ofstream file(fname, ios_base::out | ios_base::binary);
    if (!file)
        throw Exception<NoSuchFile>("File not found");

    string str = bits2string(bitstream);
    file.write(&str[0], str.length());
}
